|
ads_point与AcGePoint3d的相互转换:
ads_point ->AcGePoint3d :asPnt3d
示例:
ads_point center, startPt;
if (acedGetPoint(NULL, "/nLocate center of polygon: ",
center) != RTNORM)
{
return Acad::eInvalidInput;
}
startPt[0] = center[0];
startPt[1] = center[1];
startPt[2] = center[2];
AcGePoint3d ptCenter = asPnt3d(center);
AcGePoint3d ->ads_point :asDblArray
示例:
AcGePoint3d tempPt;
acedGetPoint(NULL, "/nEllipse center point: ",
asDblArray(tempPt));
acedHelp:获取帮助
获取实体的范围:AcDbEntity::getGeomExtents()
获取对象的类名:CString str = AcDbEntity() ->desc() ->name()
CRichEditCtrl
在构造函数中加上:AfxInitRichEdit()
若在CAD环境中进行预览Dwg图,在Dlg中:
acdbDisplayPreviewFromDwg()
若不在CAD环境中进行DWG的预览,使用
DWGThumbnail.ocx控件即可 |
|